tigase.jaxmpp.core.client

## Interface Context

-     public interface Context

  Interface for information about XMPP connection context. It provides access to `SessionObject`, `EventBus` and `PacketWriter`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EventBus` | `getEventBus()` Returns `EventBus`.
    `ModuleProvider` | `getModuleProvider()` Returns `ModuleProvider`
    `SessionObject` | `getSessionObject()` Returns `SessionObject`.
    `XmppStreamsManager` | `getStreamsManager()`
    `PacketWriter` | `getWriter()` Returns `PacketWriter`

- - ### Method Detail

    - #### getEventBus

          EventBus getEventBus()

      Returns `EventBus`.
      Returns:
        `EventBus` instance.

    - #### getModuleProvider

          ModuleProvider getModuleProvider()

      Returns `ModuleProvider`
      Returns:
        `ModuleProvider` instance.

    - #### getSessionObject

          SessionObject getSessionObject()

      Returns `SessionObject`.
      Returns:
        `SessionObject` instance.

    - #### getStreamsManager

          XmppStreamsManager getStreamsManager()

    - #### getWriter

          PacketWriter getWriter()

      Returns `PacketWriter`
      Returns:
        `PacketWriter` instance.

Copyright © 2006–2020 Tigase. All rights reserved.